Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000079bareos-core[All Projects] installer / packagespublic2013-02-19 14:352015-03-25 19:18
Reporterjoergs 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformWindows 7OSWindowsOS Version7
Product Version12.4.2 
Target Version12.4.3Fixed in Version12.4.3 
Summary0000079: configure Windows firewall with package installation
Descriptionconfiguring the windows firewall has been done with the old OPSI packages. This functionality is currently not available.

After talking to Philipp, we decided, that this functionality should get integrated into the Windows installer.
Additional InformationCode used for OPSI:

if ($INST_NTVersion$ >= "6.0")
        DosBatch_open_firewall_nt6
else
        DosBatch_open_firewall
endif


[DosBatch_open_firewall]
netsh firewall add portopening protocol=TCP port=9102 name=bareos-fd-port
 
[DosBatch_open_firewall_nt6]
netsh advfirewall firewall add rule name="bareos-fd-port" dir=in action=allow protocol=TCP localport=9102
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0000609)
mvwieringen adm (administrator)
2013-08-13 03:12

Fix committed to bareos bareos-12.4 branch with changesetid 978.
(0001389)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-13.2 branch with changesetid 4301.
(0001543)
joergs (administrator)
2015-03-25 19:18

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: bareos-12.4 7dfcb332
Timestamp: 2013-05-04 11:14:53
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
automatically open the windows firewall

During installation, we now open the firewallport 9102 for bareos-fd.exe
per default. This can be disabled during installation.

During uninstall, this firewallrule is removed again.

Fixes 0000079: configure Windows firewall with package installation

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos2015: bareos-12.4 94934c11
Timestamp: 2013-05-04 13:14:53
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
automatically open the windows firewall

During installation, we now open the firewallport 9102 for bareos-fd.exe
per default. This can be disabled during installation.

During uninstall, this firewallrule is removed again.

Fixes 0000079: configure Windows firewall with package installation

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos: master b5af0aee
Timestamp: 2013-05-04 19:10:31
Author: pstorz
Committer: mvwieringen adm
Ported: N/A
Details ] Diff ]
automatically open the windows firewall

During installation, we now open the firewallport 9102 for bareos-fd.exe
per default. This can be disabled during installation.

During uninstall, this firewallrule is removed again.

Fixes 0000079: configure Windows firewall with package installation

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]
bareos2015: bareos-13.2 980d9cc6
Timestamp: 2013-05-04 21:10:31
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
automatically open the windows firewall

During installation, we now open the firewallport 9102 for bareos-fd.exe
per default. This can be disabled during installation.

During uninstall, this firewallrule is removed again.

Fixes 0000079: configure Windows firewall with package installation

Signed-off-by: Marco van Wieringen <marco.van.wieringen@bareos.com>
mod - platforms/win32/winbareos.nsi Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-02-19 14:35 joergs New Issue
2013-02-19 14:35 joergs Status new => assigned
2013-02-19 14:35 joergs Assigned To => pstorz
2013-03-06 16:12 mvwieringen Changeset attached => bareos Branch-12.4 7584101b
2013-03-06 16:12 mvwieringen Note Added: 0000242
2013-03-06 16:12 mvwieringen Changeset attached => bareos master bdbdf86d
2013-03-06 16:12 mvwieringen Assigned To pstorz => mvwieringen
2013-03-06 16:12 mvwieringen Status assigned => closed
2013-03-06 16:12 mvwieringen Note Added: 0000243
2013-03-06 16:12 mvwieringen Resolution open => fixed
2013-03-06 16:24 pstorz Product Version => 12.4.1
2013-03-06 16:24 pstorz Fixed in Version => 12.4.2
2013-03-06 16:24 pstorz Target Version => 12.4.2
2013-03-06 16:25 pstorz Product Version 12.4.1 => 12.4.2
2013-03-06 16:25 pstorz Fixed in Version 12.4.2 => 12.4.3
2013-03-06 16:25 pstorz Target Version 12.4.2 => 12.4.3
2013-05-24 12:52 pstorz Status closed => resolved
2013-06-21 17:12 joergs Status resolved => closed
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos master b5af0aee
2013-08-13 03:12 mvwieringen adm Changeset attached => bareos bareos-12.4 7dfcb332
2013-08-13 03:12 mvwieringen adm Note Added: 0000609
2013-08-13 03:12 mvwieringen adm Assigned To mvwieringen => mvwieringen adm
2013-08-13 03:12 mvwieringen adm Status closed => resolved
2013-08-13 09:13 mvwieringen adm Note Deleted: 0000242
2013-08-13 09:13 mvwieringen adm Note Deleted: 0000243
2013-08-13 09:13 mvwieringen adm Assigned To mvwieringen adm =>
2013-08-13 09:13 mvwieringen adm Status resolved => closed
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-12.4 94934c11
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 980d9cc6
2015-03-25 16:51 mvwieringen Note Added: 0001389
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:18 joergs Note Added: 0001543
2015-03-25 19:18 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker